Get a workflow run
GET
/v1/workflow-runs/{runId}curl -X GET 'https://api.embodiflow.io/v1/workflow-runs/{runId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- runIdstring必填
响应
Success
- dataobject必填
- snapshotobject | null必填
- curateobject | null必填
- summaryobject必填
- countsobject必填
- statusstring
- recordingCountnumber
- workflowNamestring | null
- failureobject
- idstring
- projectIdstring | null
- modestring
- triggerstring | null
- runGroupIdstring | null
- estimateobject
- specHashstring | null
- errorCodestring | null
- createdAtstring | null
- startedAtstring | null
- finishedAtstring | null
- cancelRequestedAtstring | null
响应示例
{
"data": {
"snapshot": {
"contract": "embodiflow-run-snapshot/v1",
"workflow": {
"apiVersion": "embodiflow-workflow/v1",
"name": "string",
"type": "export",
"steps": [
{
"id": "string",
"uses": "string",
"inputs": {},
"with": {},
"when": [],
"onFail": "continue"
}
],
"output": {
"recording": "string",
"features": "string",
"checks": "string",
"episodes": "string",
"selection": "string",
"artifact": "string"
},
"description": "string",
"params": {}
},
"steps": {},
"merge": {
"resolvedUses": "string",
"revisionId": "string"
},
"layout": {
"owner": "tenant",
"workflowDefinitionId": "string",
"workflowRevisionId": "string"
}
},
"curate": {
"kept": 0,
"dropped": 0,
"createdVersionId": "string",
"createdVersionNumber": 0,
"versionCreated": false,
"outcome": "created"
},
"summary": {
"session": {},
"recording": {},
"batch": {},
"version": {}
},
"counts": {
"stepRuns": 0,
"recordings": 0,
"cached": 0
},
"status": "string",
"recordingCount": 0,
"workflowName": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"id": "string",
"projectId": "string",
"mode": "string",
"trigger": "string",
"runGroupId": "string",
"estimate": {},
"specHash": "string",
"errorCode": "string",
"createdAt": "string",
"startedAt": "string",
"finishedAt": "string",
"cancelRequestedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1